/************************************************************************/
/*                                                                      */
/* TITLE  Program for demonstration of manipulation LEDs                */
/*                                                                      */
/* 1.	  Functional Description.                                       */
/*        This is a demonstration how to control the Development Board's*/
/*        Periphery.                                                    */
/*        The "Blinky" example manipulates the LED D200(DO0) on the     */
/*        Development Board that is mounted next to the potentiometer   */
/*        labeled as AI0.                                               */
/*                                                                      */
/* 2.	  Modification History.                                         */
/*	  	  C.Thomas	  01/09/26.	  #1.000, new.                    		*/
/*                                                                      */
/* 3.     NOTICE: Copyright (C) 2001 SYS TEC electronic GmbH            */
/*                                                                      */
/* 4.	  Build Environment.                                            */
/*        Keil Software Development Tools for C166, version 4.10        */
/*		  with Vision2 V2.10										    */
/*                                                                      */
/************************************************************************/

#include <reg164.h>					/* include 164 header file			*/


sbit LED_DO0 = P1H^7;				/* port pin for DO0					*/
sbit DIR_LED_DO0 = DP1H^7;			/* direction bit for DO0			*/


void wait (void)  
{									/* wait function					*/
	;								/* only to delay for LED flashes	*/
}

void main (void)  
{
unsigned int i;						/* delay var						*/

	LED_DO0 = 0;					/* port pin state = off				*/
	DIR_LED_DO0 = 1;				/* port pin mode  = output			*/

	while (1) 
		{							/* loop forever						*/
    	for (i=0; i< 40000; i++)    /* delay for 40000 counts           */
    		{
      		wait ();                /* call wait function               */
    		}

    	LED_DO0 = ~LED_DO0;         /* toggle output state of LED-DO0   */
                                    
    	for (i=0; i< 40000; i++)    /* delay for 40000 counts           */
    		{
      		wait();                 /* call wait function               */
    		}

		}
}

