/************************************************************************/
/*                                                                      */
/* TITLE  Program for demonstration of serial communication             */
/*                                                                      */
/* 1.	  Functional Description.                                         */
/*        This is a Demonstration how to using the RS232-Interface for  */
/*        communication with PC.                                        */
/*        It's using the automatic baudrate-detection function          */
/*        SerInit() in "serinit.h".                                     */
/*        In an endless loop this programm ask for serial input         */
/*        of characters and give the hex-code back to the PC.           */
/*                                                                      */
/* 2.	  Modification History.                                           */
/*	      C.Thomas		01/09/27.	#1.000, new.                    	      */
/*                                                                      */
/* 3.     NOTICE: Copyright (C) 1999 PHYTEC Technologie Holding AG      */
/*                                                                      */
/* 4.	  Build Environment.                                              */
/*        Keil Software Development Tools for C166, version 4.10   		*/
/*		  and Vision2 V2.10                                              */
/************************************************************************/

#pragma large			       				/* use memory model 'large'            */

#include <reg164.H>                    /* Register Set of 8052 controller     */
#include <stdio.h>                     /* Standard I/O functions              */
#include "serinit.h"                   /* Automatic baudrate detection        */

/******************************************************************************/
/* main program                                                               */
/******************************************************************************/

void main (void)  {                    /* execution starts here               */

  SerInit();                           /* call automatic baudrate detection   */

  printf("\n Hello World\n");            /* print 'Hello World' to the serial   */
                                       /* port.                               */
  while(1)
  		{                          		/* An embedded program without any     */
                                       /* operating system usually does not   */
                                       /* stop and never returns.             */
                                       /* We've used an endless loop in this  */
                                       /* example.                            */
		printf(" char = %02bX\n",getchar()); /* print the two digit hex code of   */
                                       /* any received character              */
  		}
}

